Deploy InterwikiSorting extension to production
Closed, ResolvedPublic

Description

The InterwikiSorting extension holds code for sorting the interwiki links in the sidebar. It is existing code extracted from the Wikibase codebase.

Extension page: https://www.mediawiki.org/wiki/Extension:InterwikiSorting

There are a very large number of changes, so older changes are hidden. Show Older Changes
Addshore renamed this task from deploy InterwikiSorting extension to production to Deploy InterwikiSorting extension to production.Nov 7 2016, 4:16 PM
Addshore moved this task from Backlog to Next on the User-Addshore board.

Change 332907 had a related patch set uploaded (by Addshore):
Add InterwikiSorting to make-wmf-branch

https://gerrit.wikimedia.org/r/332907

Addshore claimed this task.Jan 19 2017, 1:16 PM
Addshore moved this task from Next to In Progress on the User-Addshore board.

Change 332907 merged by jenkins-bot:
Add InterwikiSorting to make-wmf-branch

https://gerrit.wikimedia.org/r/332907

Change 333596 had a related patch set uploaded (by Addshore):
Move InterwikiSortOrders to own file

https://gerrit.wikimedia.org/r/333596

Change 333596 merged by jenkins-bot:
Move InterwikiSortOrders to own file

https://gerrit.wikimedia.org/r/333596

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:23:31Z] <addshore@tin> Synchronized wmf-config/InterwikiSortOrders.php: [[gerrit:T150183|T150183 Move InterwikiSortOrders to own file]] PT 1/2 (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:23:31Z] <addshore@tin> Synchronized wmf-config/InterwikiSortOrders.php: [[gerrit:T150183|T150183 Move InterwikiSortOrders to own file]] PT 1/2 (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:24:55Z] <addshore@tin> Synchronized wmf-config/Wikibase.php: [[gerrit:T150183|T150183 Move InterwikiSortOrders to own file]] PT 2/2 (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:24:55Z] <addshore@tin> Synchronized wmf-config/Wikibase.php: [[gerrit:T150183|T150183 Move InterwikiSortOrders to own file]] PT 2/2 (duration: 00m 39s)

Addshore moved this task from In Progress to Next on the User-Addshore board.Jan 31 2017, 1:00 PM

@Lea_Lacroix_WMDE @Lydia_Pintscher this should be ready to go next week technically.
Of course that means that is the earliest this could happen, in a few weeks is also great! :)

It would probably make sense to roll this out in stages, eg, using the standard wiki groups.
What timeline sounds good to you?

Nothing should change for editors/readers with this, right? So I don't care when exactly :D

aude added a subscriber: aude.Feb 21 2017, 9:51 AM

@Lydia_Pintscher only thing that changes is that interwiki links are sorted in all namespaces (vs. currently, they are only sorted in namespaces where we allow pages to be linked to wikidata)

@Lydia_Pintscher @Lea_Lacroix_WMDE I guess this does still need announcement then?

I believe it is a trivial change that doesn't but if @Lea_Lacroix_WMDE wants to that is fine.

aude added a comment.Feb 27 2017, 12:51 PM

@Lydia_Pintscher suggest the pywikibot people be informed, since I think they might still have bots that do sorting. Otherwise, not really a big issue for general users

Yeah, I don't think that we need to announce this globally. Maybe add it in Tech News though. Also, who should I reach exactly "the pywikibot people" ?

pywikibot mailing list?

So, as far as I can see this is ready to go.
I would propose a deployment date for this to hit production on 14th March.
How does that sound @Lea_Lacroix_WMDE @Lydia_Pintscher ?

Addshore moved this task from Next to In Progress on the User-Addshore board.Mar 3 2017, 7:06 PM

Change 341032 had a related patch set uploaded (by addshore):
[operations/mediawiki-config] wmgUseInterwikiSorting true for group0

https://gerrit.wikimedia.org/r/341032

Change 341033 had a related patch set uploaded (by addshore):
[operations/mediawiki-config] wmgUseInterwikiSorting true for wikidata clients, excluding wikipedias

https://gerrit.wikimedia.org/r/341033

Change 341034 had a related patch set uploaded (by addshore):
[operations/mediawiki-config] wmgUseInterwikiSorting true for all wikidata clients

https://gerrit.wikimedia.org/r/341034

Change 341121 had a related patch set uploaded (by addshore):
[operations/mediawiki-config] Add InterwikiSorting extension to prod extension-list

https://gerrit.wikimedia.org/r/341121

Change 341124 had a related patch set uploaded (by addshore):
[mediawiki/extensions/Wikibase] Only sort interwikilinks when InterwikiSorting is not loaded

https://gerrit.wikimedia.org/r/341124

Change 341124 abandoned by Addshore:
Only sort interwikilinks when InterwikiSorting is not loaded

Reason:
This is not actually needed, as there is already a global setting to enable / disable this..

https://gerrit.wikimedia.org/r/341124

Change 341127 had a related patch set uploaded (by addshore):
[operations/mediawiki-config] Remove Wikibase vs Interwikisorting checks

https://gerrit.wikimedia.org/r/341127

So, as far as I can see this is ready to go.
I would propose a deployment date for this to hit production on 14th March.
How does that sound @Lea_Lacroix_WMDE @Lydia_Pintscher ?

Sounds good. Let's do it!

Change 341121 merged by jenkins-bot:
[operations/mediawiki-config] Add InterwikiSorting extension to prod extension-list

https://gerrit.wikimedia.org/r/341121

Mentioned in SAL (#wikimedia-operations) [2017-03-06T14:42:40Z] <addshore@tin> Synchronized wmf-config/extension-list: [[gerrit:341121|Add InterwikiSorting extension to prod extension-list]] T150183 NOOP (duration: 00m 38s)

Mentioned in SAL (#wikimedia-operations) [2017-03-06T14:44:43Z] <addshore@tin> Synchronized wmf-config/extension-list-labs: Remove [[gerrit:341121|InterwikiSorting]] and add [[gerrit:341122|Cognate]] to extension-list-labs T150183 T156241 BETA ONLY (duration: 00m 39s)

Change 341032 merged by jenkins-bot:
[operations/mediawiki-config] wmgUseInterwikiSorting true for group0

https://gerrit.wikimedia.org/r/341032

Change 342504 had a related patch set uploaded (by Addshore):
[operations/mediawiki-config] Add interwikisorting to CommonSettings $wikiTags

https://gerrit.wikimedia.org/r/342504

Change 342504 merged by jenkins-bot:
[operations/mediawiki-config] Add interwikisorting to CommonSettings $wikiTags

https://gerrit.wikimedia.org/r/342504

Mentioned in SAL (#wikimedia-operations) [2017-03-13T20:39:50Z] <addshore@tin> Synchronized dblists/interwikisorting.dblist: T150183 Enable InterwikiSorting on group0 [[gerrit:341032|#1]] [[gerrit:342504|#2]] PT 1/4 (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2017-03-13T20:41:07Z] <addshore@tin> Synchronized docroot/noc/conf/interwikisorting.dblist: T150183 Enable InterwikiSorting on group0 [[gerrit:341032|#1]] [[gerrit:342504|#2]] PT 2/4 NOOP (duration: 00m 42s)

Mentioned in SAL (#wikimedia-operations) [2017-03-13T20:42:41Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T150183 Enable InterwikiSorting on group0 [[gerrit:341032|#1]] [[gerrit:342504|#2]] PT 3/4 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-03-13T20:43:35Z] <addshore@tin> Synchronized wmf-config/CommonSettings.php: T150183 Enable InterwikiSorting on group0 [[gerrit:341032|#1]] [[gerrit:342504|#2]] PT 4/4 (duration: 00m 40s)

Change 341033 merged by jenkins-bot:
[operations/mediawiki-config] wmgUseInterwikiSorting true for wikidata clients, excluding wikipedias

https://gerrit.wikimedia.org/r/341033

Mentioned in SAL (#wikimedia-operations) [2017-03-14T09:15:50Z] <addshore@tin> Synchronized dblists/interwikisorting.dblist: [[gerrit:341033|wmgUseInterwikiSorting true for wikidata clients, excluding wikipedias]] T150183 (duration: 00m 42s)

Change 341034 merged by jenkins-bot:
[operations/mediawiki-config] wmgUseInterwikiSorting true for all wikidata clients

https://gerrit.wikimedia.org/r/341034

Mentioned in SAL (#wikimedia-operations) [2017-03-14T12:18:21Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: T150183 wmgUseInterwikiSorting true for all wikidata clients [[gerrit:341034|#1]] [[gerrit:342611|#2]] PT 1/4 (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2017-03-14T12:19:18Z] <addshore@tin> Synchronized wmf-config/CommonSettings.php: T150183 wmgUseInterwikiSorting true for all wikidata clients [[gerrit:341034|#1]] [[gerrit:342611|#2]] PT 2/4 (duration: 00m 41s)

Mentioned in SAL (#wikimedia-operations) [2017-03-14T12:23:18Z] <addshore@tin> Synchronized docroot/: T150183 wmgUseInterwikiSorting true for all wikidata clients [[gerrit:341034|#1]] [[gerrit:342611|#2]] PT 3/4 NOOP (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-03-14T12:24:18Z] <addshore@tin> Synchronized dblists/: T150183 wmgUseInterwikiSorting true for all wikidata clients [[gerrit:341034|#1]] [[gerrit:342611|#2]] PT 4/4 (duration: 00m 41s)

InterwikiSorting is now deployed to all wikis that already had sorting enabled (ie, all wikidata clients)

@Lydia_Pintscher Does that cover the scope of this task?

Nirmos added a subscriber: Nirmos.Mar 14 2017, 8:52 PM

This seems to have caused T160465.

InterwikiSorting is now deployed to all wikis that already had sorting enabled (ie, all wikidata clients)

Does someone plan to add {{TNT|OnWikimedia}} and [[Category:Extensions used on Wikimedia{{translation}}]] on mw:Extension:InterwikiSorting?

InterwikiSorting is now deployed to all wikis that already had sorting enabled (ie, all wikidata clients)

Does someone plan to add {{TNT|OnWikimedia}} and [[Category:Extensions used on Wikimedia{{translation}}]] on mw:Extension:InterwikiSorting?

Done

Addshore closed this task as Resolved.
Addshore moved this task from Needs Review / Blocked / Waiting to Done on the User-Addshore board.

Change 342853 had a related patch set uploaded (by Addshore):
[operations/mediawiki-config] wmgUseInterwikiSorting false everywhere

https://gerrit.wikimedia.org/r/342853

Addshore reopened this task as Open.Mar 15 2017, 4:43 PM
Addshore moved this task from Done to Sprint ready on the WMDE-QWERTY-Team-Board board.
Addshore moved this task from Done to In Progress on the User-Addshore board.

Change 342853 merged by jenkins-bot:
[operations/mediawiki-config] wmgUseInterwikiSorting false everywhere

https://gerrit.wikimedia.org/r/342853

Change 343033 had a related patch set uploaded (by Addshore):
[operations/mediawiki-config] wmgUseInterwikiSorting true for wikidataclients

https://gerrit.wikimedia.org/r/343033

Change 343033 merged by jenkins-bot:
[operations/mediawiki-config] wmgUseInterwikiSorting true for wikidataclients

https://gerrit.wikimedia.org/r/343033

Mentioned in SAL (#wikimedia-operations) [2017-03-16T12:49:04Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:343033|wmgUseInterwikiSorting true for wikidataclients]] T160465 T150183 (duration: 00m 42s)

Addshore closed this task as Resolved.Mar 16 2017, 12:49 PM
Addshore moved this task from In Progress to Done on the User-Addshore board.
Addshore moved this task from Sprint ready to Done on the WMDE-QWERTY-Team-Board board.
Addshore moved this task from Done to Demoed on the WMDE-QWERTY-Team-Board board.Jun 27 2017, 3:36 PM

Change 341127 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove Wikibase vs Interwikisorting checks

https://gerrit.wikimedia.org/r/341127

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 31 2017, 1:51 PM

Mentioned in SAL (#wikimedia-operations) [2017-07-31T13:57:25Z] <zfilipin@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:341127|Remove Wikibase vs Interwikisorting checks (T150183)]] (duration: 00m 43s)